# Doric Engine

The **Doric Engine** is an open source game engine for turn-based, strategy games played on a hexagonical grid system.
 
**Doric** uses [Kivy](http://kivy.org/) under the hood, and had its origin during the **Game Camp** sprint at PyCon
US 2016.

## Getting Started

1. Install kivy (via Anaconda or `pip install -r requirements.txt`)
1. Run the game using: `python main.py`

## License
Unless otherwise indicated (with an explicit LICENSE file):

* Source code for this project is released under the [MIT License](http://choosealicense.com/licenses/mit/)
* All other files and assets (e.g. graphics, sound files, Jupyter Notebooks) are released under the [Creative Commons Attribution 4.0 International Public License](http://creativecommons.org/licenses/by/4.0/legalcode) (CC-BY 4.0)

## Game Camp
Game Camp is an open-source project aimed at helping anyone learn to make mobile games using Python, by developing 
teaching materials and tutorials that make the process fun and accessible. It is based on Python and Kivy, and targets 
Android and IOS devices. We are looking for developers, educators, designers from a wide variety of backgrounds and 
skill levels to help us develop the Game Camp materials.

### Contacting Us
Game Camp is maintained by 

* Kjell Wooding: kjell@learnleapfly.org
* Amy Wooding: amy@learnleapfly.org

Documentation and Chat:

* Wiki: https://github.com/learnleapfly/gamecamp/wiki
* Chat: https://llf-game-camp.slack.com (contact Amy for access!)

### About Learn Leap Fly
* Website: http://learnleapfly.org
* Twitter: [@LearnLeapFly](http://twitter.com/learnleapfly)
